当前位置: IT大杂烩 > Ubuntu  > mac上jdk1.8换1.7 eclipse tomcat

mac上jdk1.8换1.7 eclipse tomcat

www.someabcd.com  网友分享于:Jun 8, 2018 5:51:59 PM

标签:

mac上的jdk1.8删了换了1.7出了一堆毛病,小记一下(mac系统版本是10.10.2)

1.删除jdk1.8

直接去资源库里找到java文件下 然后把JavaVirtualMachines下的文件夹 即jdk1.8...直接删掉

去终端 java -version  检查完毕 直接装jdk1.7 

两个命令 java -version javac -version

2.eclipse

在preference 里install jres里删掉原来的路径重新添加 完后记得改complier

3.tomcat

运行现有项目时报出:Project facet Java version 1.8 is not supported.

百度搜到解决方法如下:

在移植eclipse项目时,如果遇到

“Project facet Java version 1.7 is not supported.”

项目中的jdk1.7不支持。说明项目是其他版本jdk编译的,在eclipse里运行时会报版本不支持。

解决办法:

1,选中项目 Properties , 选择 Project Facets,右击选择 Java , Change Version ...          即可。

           

done.

mac上jdk1.8换1.7 eclipse tomcat

标签:

发布此文章仅为传递网友分享,不代表本站观点,若侵权请联系我们删除,本站将不对此承担任何责任。
Copyright ©2018  IT大杂烩  版权所有  京ICP备11030978号-1 网站地图